跳转到内容
Try Gitea Cloud ☁️ for 30 days → Accelerate your Development & Deploys!
Support

Add or Update a collaborator to a repository

PUT
/repos/{owner}/{repo}/collaborators/{collaborator}
curl --request PUT \
--url https://gitea.example.com/api/v1/repos/example/example/collaborators/example \
--header 'Authorization: Basic <credentials>' \
--header 'Content-Type: application/json' \
--data '{ "permission": "read" }'
owner
required
string

Owner of the repo

repo
required
string

Name of the repo

collaborator
required
string

Username of the user to add or update as a collaborator

Media typeapplication/json

AddCollaboratorOption options when adding a user as a collaborator of a repository

object
permission
string
Allowed values: read write admin

APIEmpty is an empty response

Media typeapplication/json

APIForbiddenError is a forbidden error response

Media typeapplication/json
message
string
url
string

APINotFound is a not found empty response

Media typeapplication/json

APIValidationError is error format response related to input validation

Media typeapplication/json
message
string
url
string